Skip to content

Search by Image

Request

Description

By using the Search Route, you can utilize Bria's generative search capabilities, which don't require labels or keywords. The user can send any text query and receive relevant images that match the query.

The Search Route returns the images, sorted by the match score, from highest match to lowest match. The images are returned in batches, and you can specify how many images to receive in one batch, and which batch to receive in each call.

Search will only work on images that have been onboarded using the register endpoint.

Note: To use this endpoint, please Contact Us.

Query
vhashstring

the visual id of the image for which the user is looking for similar images.

Example:vhash=e01592ef1188df76
num_results_per_pageinteger

how many images you would like to receive in the current call. The default value is 50. The maximum value is 500.

Example:num_results_per_page=1
pageinteger

which batch of images you would like to receive in the current call. The default value is 1. For each query, we support 800 results, so if you set num_results_per_page=50, you will have 16 pages of results.

Example:page=1
gallery_idstring

Bria will provide you with this parameter which represents your account's image gallery. You must include this parameter.

Example:gallery_id=425
urlstring

URL of an image, for which you would like to find similar images. When you want to search based on modified images, or images that have not been uploaded or registered to Bria, you can use this parameter. When this parameter is provided, the visual_id parameter can be None. The supported file types are jpg, jpeg and png, up to 12 mb.

Example:url=If you are using the vhash paramater, there is no need to use this parameter
Headers
api_tokenstringrequired
GET
/search_similar_images
curl -i -X GET \
  'https://engine.prod.bria-api.com/v1/search_similar_images?vhash=e01592ef1188df76&num_results_per_page=1&page=1&gallery_id=425&url=If%20you%20are%20using%20the%20vhash%20paramater%2C%20there%20is%20no%20need%20to%20use%20this%20parameter' \
  -H 'api_token: string'

Responses

Successful operation.

Bodyapplication/json
resultsArray of objects

there are multiple objects in this array (based on the amount specified in num_results_per_page) and each object represents a single image. The images in the array are sorted by the similarity score, from the highest to the lowest. If the specified batch (=page) is empty, the results array will be empty.

Response
{ "results": [ {} ] }